ReloadableResourceBundleMessageSource.PropertiesHolder (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.context.support

## Class ReloadableResourceBundleMessageSource.PropertiesHolder

- java.lang.Object
- - org.springframework.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder

- Enclosing class:
    ReloadableResourceBundleMessageSource

      protected class ReloadableResourceBundleMessageSource.PropertiesHolder
      extends Object

  PropertiesHolder for caching. Stores the last-modified timestamp of the source file for efficient change detection, and the timestamp of the last refresh attempt (updated every time the cache entry gets re-validated).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReloadableResourceBundleMessageSource.PropertiesHolder()`
    `ReloadableResourceBundleMessageSource.PropertiesHolder(Properties properties, long fileTimestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getFileTimestamp()`
    `MessageFormat` | `getMessageFormat(String code, Locale locale)`
    `Properties` | `getProperties()`
    `String` | `getProperty(String code)`
    `long` | `getRefreshTimestamp()`
    `void` | `setRefreshTimestamp(long refreshTimestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReloadableResourceBundleMessageSource.PropertiesHolder

          public ReloadableResourceBundleMessageSource.PropertiesHolder(Properties properties,
                                                                long fileTimestamp)

    - #### ReloadableResourceBundleMessageSource.PropertiesHolder

          public ReloadableResourceBundleMessageSource.PropertiesHolder()

  - ### Method Detail

    - #### getProperties

          public Properties getProperties()

    - #### getFileTimestamp

          public long getFileTimestamp()

    - #### setRefreshTimestamp

          public void setRefreshTimestamp(long refreshTimestamp)

    - #### getRefreshTimestamp

          public long getRefreshTimestamp()

    - #### getProperty

          public String getProperty(String code)

    - #### getMessageFormat

          public MessageFormat getMessageFormat(String code,
                                       Locale locale)